### Enumeration

# WebKit WebsiteDataTypes

since: 2.16

#### Declaration

    flags WebKit.WebsiteDataTypes

#### Description [src]

Enum values with flags representing types of Website data.

Available since: 2.16

#### Members

`WEBKIT_WEBSITE_DATA_MEMORY_CACHE`

  Memory cache.

  - Value: `1`
  - Nickname: `memory-cache`
  - Available since: 2.16
`WEBKIT_WEBSITE_DATA_DISK_CACHE`

  HTTP disk cache.

  - Value: `2`
  - Nickname: `disk-cache`
  - Available since: 2.16
`WEBKIT_WEBSITE_DATA_OFFLINE_APPLICATION_CACHE`

  Offline web application cache.

  - Value: `4`
  - Nickname: `offline-application-cache`
  - Available since: 2.16
`WEBKIT_WEBSITE_DATA_SESSION_STORAGE`

  Session storage data.

  - Value: `8`
  - Nickname: `session-storage`
  - Available since: 2.16
`WEBKIT_WEBSITE_DATA_LOCAL_STORAGE`

  Local storage data.

  - Value: `16`
  - Nickname: `local-storage`
  - Available since: 2.16
`WEBKIT_WEBSITE_DATA_INDEXEDDB_DATABASES`

  IndexedDB databases.

  - Value: `32`
  - Nickname: `indexeddb-databases`
  - Available since: 2.16
`WEBKIT_WEBSITE_DATA_COOKIES`

  Cookies.

  - Value: `64`
  - Nickname: `cookies`
  - Available since: 2.16
`WEBKIT_WEBSITE_DATA_DEVICE_ID_HASH_SALT`

  Hash salt used to generate the device ids used by webpages.

  - Value: `128`
  - Nickname: `device-id-hash-salt`
  - Available since: 2.16
`WEBKIT_WEBSITE_DATA_HSTS_CACHE`

  HSTS cache.

  - Value: `256`
  - Nickname: `hsts-cache`
  - Available since: 2.16
`WEBKIT_WEBSITE_DATA_ITP`

  Intelligent Tracking Prevention data.

  - Value: `512`
  - Nickname: `itp`
  - Available since: 2.16
`WEBKIT_WEBSITE_DATA_SERVICE_WORKER_REGISTRATIONS`

  Service worker registrations.

  - Value: `1024`
  - Nickname: `service-worker-registrations`
  - Available since: 2.16
`WEBKIT_WEBSITE_DATA_DOM_CACHE`

  DOM (CacheStorage) cache.

  - Value: `2048`
  - Nickname: `dom-cache`
  - Available since: 2.16
`WEBKIT_WEBSITE_DATA_ALL`

  All types.

  - Value: `4095`
  - Nickname: `all`
  - Available since: 2.16